LX7 Puppy

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
NTamas
Hozzászólások: 1451
Csatlakozott: 2014.06.19. 13:36

Re: LX7 Puppy

Hozzászólás Szerző: NTamas » 2018.03.09. 19:33

Igen, az látszik, hogy terminal-ban ügyködsz az újabb verziójú FF-hez való függőségkeresés okán.
Pont a Firefox az egyik olyan szoftver, amelyik igen jól dokumentálja, hogy az egyes verziókhoz milyen feltétlenül szükséges függőségekkel kell a linux alatti működéshez rendelkeznünk. Vonatkozik ez a GLibc-verziószámra csakúgy, mint a gtk-s környezet verziószámára, illetve a Pulseaudió esetleges szükségességére. Ha tudjuk, -mert tudjuk, hiszen kiírták nekünk- hogy milyen fő függőségek fognak nekünk kelleni az új FF futtatásához, azokat ismétlem célszerűbb először a saját csomagkezelőkből megkeresni, és feltelepíteni, már csak azért is, mert a megadott fő függőségek mellett lehetnek még egyéb más kisebb kereszt függőségek, amiket a csomagkezelő simán megkeres helyettünk, és az egészet egyben fel tudjuk tenni, és nem kell azonnal a terminálban matatni. Maximum csak akkor, ha ezen csomagkezelős függőségtelepítés után sem indul el a Firefox, ami legtöbbször akkor szokott bekövetkezni, ha olyan puppy rendszerre telepítjük fel az új Firefoxot, ami sok más keresztfüggőségi hibával is bír. Na, ekkor már valóban célszerű a terminálhoz fordulni, és abban megtudakolni, milyen egyéb fájl, függőség hiányzik még a boldogsághoz.

Ami pedig a videóban bemutatott, a haver csinált egy másik Lx7 verziót, és én azt most felmountolom, és abból átmásolom a hiányolt függőségeket, nos ez a módszer, bár működik, de talán nem ezt célszerű a legelsőként propagálni a kellő függőségek beszerzésére, mint forrást. Vészhelyzeti megoldásnak elmegy, ha más forrásunk nincsen a függőségek beszerzésére, és jó, hogy bemutattad a módszert, hogyan is kell ezt végrehajtani, de talán nem célszerű ezzel kezdeni a függőségvadászatot. Ennek a ténynek a kellő kihangsúlyozását hiánylom a videódból.

Avatar
KuLuSz
Hozzászólások: 382
Csatlakozott: 2014.06.17. 21:19

Re: LX7 Puppy

Hozzászólás Szerző: KuLuSz » 2018.03.10. 08:09

NTamas írta:
2018.03.09. 19:33
Pont a Firefox az egyik olyan szoftver, amelyik igen jól dokumentálja, hogy az egyes verziókhoz milyen feltétlenül szükséges függőségekkel kell a linux alatti működéshez rendelkeznünk.
Naja , csak 1 kezdő felhasználó azt se tudja honnan telepítse és hogyan a programot , az meg már full extra dolog hogy rákeres google-n , és akkor még ott van az, hogy azt se tudja mi az a függőség.
NTamas írta:
2018.03.09. 19:33
Maximum csak akkor, ha ezen csomagkezelős függőségtelepítés után sem indul el a Firefox, ami legtöbbször akkor szokott bekövetkezni, ha olyan puppy rendszerre telepítjük fel az új Firefoxot, ami sok más keresztfüggőségi hibával is bír. Na, ekkor már valóban célszerű a terminálhoz fordulni, és abban megtudakolni, milyen egyéb fájl, függőség hiányzik még a boldogsághoz.
Ezért készült a videó alapból terminállal , mert ha csak a parancsra klikelsz nem ír ki semmit, csak látod hogy nem indul.
NTamas írta:
2018.03.09. 19:33
Ami pedig a videóban bemutatott, a haver csinált egy másik Lx7 verziót, és én azt most felmountolom, és abból átmásolom a hiányolt függőségeket, nos ez a módszer, bár működik, de talán nem ezt célszerű a legelsőként propagálni a kellő függőségek beszerzésére, mint forrást.
Ez jogos, de nem is ez volt a lényeg. :D
NTamas írta:
2018.03.09. 19:33
Vészhelyzeti megoldásnak elmegy, ha más forrásunk nincsen a függőségek beszerzésére, és jó, hogy bemutattad a módszert, hogyan is kell ezt végrehajtani, de talán nem célszerű ezzel kezdeni a függőségvadászatot. Ennek a ténynek a kellő kihangsúlyozását hiánylom a videódból.
A videó végén mondtam . :)
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

kzprog
Hozzászólások: 93
Csatlakozott: 2014.07.05. 16:51

Re: LX7 Puppy

Hozzászólás Szerző: kzprog » 2018.03.10. 18:41

Le a kalappal előtted KuLusz, hogy még van erőd és kitartásod NTamás megjegyzéseire reflektálni! :)

Avatar
KuLuSz
Hozzászólások: 382
Csatlakozott: 2014.06.17. 21:19

Re: LX7 Puppy

Hozzászólás Szerző: KuLuSz » 2018.03.12. 07:34

Én látom a segítő szándékot a szavaiban... Igaz nem lett volna szükséges levezetnem a hozzászólását, de jól látja a dolgot , még akkor is ha pl számodra , lekezelőnek tűnik . Én 1 türelmes ember vagyok, nehezen lehet kihozni a sodromból. :)
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

willy36
Hozzászólások: 90
Csatlakozott: 2017.05.16. 18:43

Re: LX7 Puppy

Hozzászólás Szerző: willy36 » 2018.03.12. 21:31

Szia Kulusz !
Tetszik a megoldásod, talán jobban is, mint a csomagkezelős verzió

nocsak
Hozzászólások: 61
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2018.03.12. 22:58

Ma Kulusszal ismét "bekanyarodtunk az Alkotás utcába":

Ezúttal a most aktuális 3.4.2-es ffmpeget prefixeltük és fordítottuk a shared libekkel együtt korrigálva az /usr mappába.
Leváltandó és tesztelendő a libike verzió helyett!

Ha valakit érdekel:

ffmpeg-3.4.2-i686.files
ffmpeg-3.4.2-i686.pet

innen tölthető: LINK

Avatar
KuLuSz
Hozzászólások: 382
Csatlakozott: 2014.06.17. 21:19

Re: LX7 Puppy

Hozzászólás Szerző: KuLuSz » 2018.03.12. 23:02

willy36 írta:
2018.03.12. 21:31
Szia Kulusz !
Tetszik a megoldásod, talán jobban is, mint a csomagkezelős verzió
Az a baj hogy igaza van ntominak, és valóban nem ez a legmegfelelőbb eljárás, de ha nincs más kéznél,ez is jó. Eredetileg ezt úgy kell hogy elinditja az ember a parancsot amit akar kapja az üzit , rákeres googlen, vagy a debianpackages oldalon letölti a csomagot , és telepít , de néha azsem müködik úgy, olyankor kell linkelni amit mondtam is a videó végén ...
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

willy36
Hozzászólások: 90
Csatlakozott: 2017.05.16. 18:43

Re: LX7 Puppy

Hozzászólás Szerző: willy36 » 2018.03.13. 06:32

nekem azért tetszik ez a megoldás, mert itt kontroll alatt van, hogy mi települ fel, nem pedig a csomagkezelő jelölget ki mindent. mivel windows alatt is szoktam hasonló képpen bütykölni, nem teher az egyenkénti keresgélés. Viszont a végeredmény tiszta és feltételezem, semmilyen ütközést nem okoz, mint csomagkezelőből esetleg egy rossz kiegészítő. ezt általában le szoktam jegyzetelni, hogy mit csináltam, így legközelebb meg vannak a turpiságok is, hogy mire figyeljek. :roll:

Avatar
KuLuSz
Hozzászólások: 382
Csatlakozott: 2014.06.17. 21:19

Re: LX7 Puppy

Hozzászólás Szerző: KuLuSz » 2018.03.13. 07:25

Igen de megmondom őszintén hogy ez így nem teljeskörü , mivel csak az inditó parancsnak nézed a függőségét. Viszont ha a függőségének is van 1 hiányzó függősége azt már te nem fogod megtudni hogy mi is az , hacsak nem lefuttatod az ldd parancsot az összes létező függőségen amit a program használ.

Tegnap pl a palemoon böngi nem akarta lejátszani a lájvokat és pár videót sem, és félóra után megállapítottam hogy az ffmpeg elavult a netbukon , amire a böngésző egyik függősége mutatott rá , nevezetesen a libxul.so a böngi könyvtárában. Pár függőség hardveresen támogatja a böngészőt az ffmpeg kodek-el. Épp most teszteltem az újonnan megalkotott cutdown libike ffmpeg csomaggal (19Mb tömöritetlenül) a netbook-ot , és sikerrel jártam . Minden megy ami kell , a YT-n.
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

willy36
Hozzászólások: 90
Csatlakozott: 2017.05.16. 18:43

Re: LX7 Puppy

Hozzászólás Szerző: willy36 » 2018.03.13. 08:16

igazad van, de pont így jöttél rá, hogy a jövőben merre nézelődj egy adott hiba megjelenésekor. engem zavar, lehet paranóia, ha csak egy klikk valami, nem tudom mi történik a háttérben, mi települ, mi íródik át stb. emiatt izgalmasak, ha így kézzel állítódik a rendszer. mivel ezt meg is osztottad, megtakarítottál másoknak nem kevés időt. ezért is nagy köszönet a munkádért ( természetes mindenki másnak is ) mert ezért tud élni ez a mini közösség. szeretem az építő jellegű vitákat, engem is gondolkodásra késztet és ebből tudom összerakni a saját értelmezésemet. én eléggé a kezdő kategória vagyok, csak innen tudok továbblépni, tanulni, és ezért szeretek ide jönni közétek.

Válasz küldése

Vissza: “Pupletek”